#include <coral/core/Element.h>
#include <coral/coral.h>

#include <coral/core/python_compat.h>

#include <iostream>

int main() {
	coral::init_coral_framework();

	//coral::Language* uml11 = coral::Language::__getLanguage__("UML", 1, 1);
	//coral::Language* uml13 = coral::Language::__getLanguage__("UML", 1, 3);
	coral::autounref<coral::Language> uml14
		= coral::Language::__getLanguage__("UML", 1, 4);
	coral::autounref<coral::Language> smd01
		= coral::Language::__getLanguage__("SMD", 0, 1);

	//coral_assert(uml11);
	//coral_assert(uml13);
	coral_assert(uml14.get());
	coral_assert(smd01.get());
	std::cout << "*** Done" << std::endl;
	return 0;
}
